> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Survey Answer

Submits answers to survey questions for a specific survey.


## OpenAPI

````yaml POST /api/v1/survey/answer
openapi: 3.0.2
info:
  title: Scoot Customer API - Complete Documentation
  version: 1.0.0
  description: >-
    Complete API documentation for Scoot customer-facing endpoints with full
    type definitions from the backend service.
servers:
  - url: https://api.scoot.app
    description: Production server
security: []
tags:
  - name: Social
    description: Social event management endpoints
  - name: Room
    description: Room management endpoints
  - name: Theme
    description: Theme and background management endpoints
  - name: Event
    description: Event registration and management endpoints
  - name: Recording
    description: Recording and transcription endpoints
  - name: Playlist
    description: Audio playlist management endpoints
  - name: Badging
    description: Badge and gamification endpoints
  - name: User
    description: User management endpoints
paths:
  /api/v1/survey/answer:
    post:
      tags:
        - SurveyController
      summary: POST /api/v1/survey/answer
      operationId: post__api_v1_survey_answer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SurveyAnswer'
      responses:
        '200':
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SurveyAnswer:
      type: object
      properties:
        userId:
          type: string
          format: uuid
        surveyQuestionId:
          type: integer
        answer:
          type: string
        skipped:
          type: boolean
        referenceType:
          type: string
        referenceId:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````